# Copyright 2020 Le Filament
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).

from odoo import fields, models


class AccountCheckDeposit(models.Model):
    _inherit = "account.check.deposit"

    slip_number = fields.Char(
        string="Référence du Bordereau",
        states={"done": [("readonly", "=", True)]},
    )
    comment = fields.Text("Commentaire")

    # ------------------------------------------------------
    # Button Function
    # ------------------------------------------------------
    def check_bank(self):
        self.comment = None
        lines_not_bank = self.check_payment_ids.filtered(
            lambda l: len(l.partner_id.bank_ids) == 0
        )
        if lines_not_bank:
            self.comment = (
                "Aucune banque configurée pour les coopératives suivantes : \n"
            )
            for line in lines_not_bank:
                self.comment += " - %s\n" % line.partner_id.name

    # ------------------------------------------------------
    # Common function
    # ------------------------------------------------------
    def get_bank(self, move_line):
        if move_line.partner_id.bank_ids:
            return move_line.partner_id.bank_ids[0]
        else:
            return False
